package com.armstrongconsulting.acprotasks;

import javax.swing.*;

import org.jetbrains.annotations.NotNull;

import com.intellij.tasks.TaskRepository;
import com.intellij.tasks.impl.BaseRepositoryType;

public class AcproRepositoryType extends BaseRepositoryType<AcproRepository>
{

    @Override public @NotNull String getName()
    {
        return null;
    }

    @Override public @NotNull Icon getIcon()
    {
        return null;
    }

    @Override public @NotNull TaskRepository createRepository()
    {
        return null;
    }

    @Override public Class<AcproRepository> getRepositoryClass()
    {
        return null;
    }
}
